Subject: [alpine-devel] linux 3.10 kernel config

From: Natanael Copa <[email-masked]>
Date: Mon, 5 Aug 2013 15:37:49 +0200

Hi,

The 3.9 kernel we currently use for our stable v2.6 is EOL by now. I
spent last Friday cherry-picking various fixes for this kernel for our
v2.6.3 release. Now it turns out that 3.10 will be a longterm kernel so
I am thinking of upgrading the stable kernel to 3.10 (after some
testing in edge first of course)

We normally don't do this in stable branches, but in this case it might
be worth it.

I have upgraded the kernel in edge (git master) to 3.10.4 now. I
disabled basically all new stuff with a few exceptions, so the kernel
should be as close as the 3.9 as possible. Once we have tested it a bit
and pushed it to 2.6-stable I will likely enable some of the new things.

We will most likely stick with the 3.10 kernel for v2.7 too.

A complete list of the kernel configuration i did from 3.9.y to 3.10.y
is below. Please let me know if there are things you would like
configured differently and explain why. (note that this is primarily
for 2.6-stable, I'll likely enable some features for v2.7 release)

The non-default selections are prefixed with a '*'.

Timer tick handling
  1. Periodic timer ticks (constant rate, no dynticks) (HZ_PERIODIC) (NEW)
> 2. Idle dynticks system (tickless idle) (NO_HZ_IDLE) (NEW)

* Linux guest support (HYPERVISOR_GUEST) [N/y/?] (NEW) y

AMD frequency sensitivity feedback powersave bias (X86_AMD_FREQ_SENSITIVITY) [N/m/?] (NEW) 

Kernel support for scripts starting with #! (BINFMT_SCRIPT) [Y/n/m/?] (NEW) 

InfiniBand media type support (TIPC_MEDIA_IB) [N/y/?] (NEW)

* NETLINK: mmaped IO (NETLINK_MMAP) [N/y/?] (NEW) y
* NETLINK: socket monitoring interface (NETLINK_DIAG) [N/m/y/?] (NEW) m

Dummy IRQ handler (DUMMY_IRQ) [N/m/y/?] (NEW) 

Generic on-chip SRAM driver (SRAM) [N/y/?] (NEW) 

ME Enabled Intel Chipsets (INTEL_MEI_ME) [N/m/y/?] (NEW)

Platform bus based UFS Controller support (SCSI_UFSHCD_PLATFORM) [N/m/?] (NEW) 

  Block device as cache (BCACHE) [N/m/y/?] (NEW) 

  Random mode support (NET_TEAM_MODE_RANDOM) [N/m/?] (NEW) 

    Qualcomm Atheros AR816x/AR817x support (ALX) [N/m/y/?] (NEW) 

      QLOGIC QLCNIC 83XX family SR-IOV Support (QLCNIC_SRIOV) [Y/n/?] (NEW) ?

Realtek RTL8152 Based USB 2.0 Ethernet Adapters (USB_RTL8152) [N/m/?] (NEW) 

    rt2800usb - Include support for rt55xx devices (EXPERIMENTAL) (RT2800USB_RT55XX) [N/y/?] (NEW) 

    Realtek RTL8188EE Wireless Network Adapter (RTL8188EE) [N/m/?] (NEW) 

  IMS Passenger Control Unit driver (INPUT_IMS_PCU) [N/m/?] (NEW) 

Qualcomm Single-wire Serial Bus Interface (SSBI) (SSBI) [N/m/y/?] (NEW) 

  Analog Devices ADT7310/ADT7320 (SENSORS_ADT7310) [N/m/?] (NEW) 

  National Semiconductor LM95234 (SENSORS_LM95234) [N/m/?] (NEW) 

  Nuvoton NCT6775F and compatibles (SENSORS_NCT6775) [N/m/?] (NEW) 

ChromeOS Embedded Controller (MFD_CROS_EC) [N/m/y/?] (NEW)
 
Silicon Laboratories 4761/64/68 AM/FM radio. (MFD_SI476X_CORE) [N/m/?] (NEW) 

System Controller Register R/W Based on Regmap (MFD_SYSCON) [N/y/?] (NEW) 

TI TPS65912 Power Management chip (MFD_TPS65912) [N/y/?] (NEW) 

QXL virtual GPU (DRM_QXL) [N/m/?] (NEW) 

  Microsoft Hyper-V Synthetic Video support (FB_HYPERV) [N/m/?] (NEW) 

    ILI Technology ILI9221/ILI9222 support (LCD_ILI922X) [N/m/?] (NEW) 

Apple infrared receiver (HID_APPLEIR) [N/m/?] (NEW) 

    Enable USB persist by default (USB_DEFAULT_PERSIST) [Y/n/?] (NEW) 

    USB-Wishbone adapter interface driver (USB_SERIAL_WISHBONE) [N/m/?] (NEW) 

*  USB Physical Layer drivers (USB_PHY) [N/y/?] (NEW) y

    Samsung USB PHY Driver (SAMSUNG_USBPHY) [N/m/y/?] (NEW)
 
    Samsung USB 2.0 PHY controller Driver (SAMSUNG_USB2PHY) [N/m/y/?] (NEW) 

    Samsung USB 3.0 PHY controller Driver (SAMSUNG_USB3PHY) [N/m/y/?] (NEW) 

  LED Support for TI LP5562 LED driver chip (LEDS_LP5562) [N/m/?] (NEW) 

    LED Camera Flash/Torch Trigger (LEDS_TRIGGER_CAMERA) [N/m/y/?] (NEW) 

  iSCSI Extentions for RDMA (iSER) target support (INFINIBAND_ISERT) [N/m/?] (NEW) 

  DesignWare USB2 DRD Core Support (USB_DWC2) [N/m/?] (NEW) 

  pvpanic device support (PVPANIC) [N/m/y/?] (NEW) 

Reset Controller Support (RESET_CONTROLLER) [N/y/?] (NEW) 

  XFS Verbose Warnings (XFS_WARN) [N/y/?] (NEW) 

  Btrfs will run sanity tests upon loading (BTRFS_FS_RUN_SANITY_TESTS) [N/y/?] (NEW) 

  Btrfs debugging support (BTRFS_DEBUG) [N/y/?] (NEW) 

Test functions located in the string_helpers module at runtime (TEST_STRING_HELPERS) [N/m/y] (NEW) 

Set upper limit of TLB entries to flush one-by-one (DEBUG_TLBFLUSH) [N/y/?] (NEW)

  CMAC support (CRYPTO_CMAC) [N/m/y/?] (NEW) 

    KVM legacy PCI device assignment support (KVM_DEVICE_ASSIGNMENT) [Y/n/?] (NEW) 

  VHOST_SCSI TCM fabric driver (VHOST_SCSI) [N/m/?] (NEW) 

For x86_64 I enabled various crypto drivers:

*  SHA256 digest algorithm (SSSE3/AVX/AVX2) (CRYPTO_SHA256_SSSE3) [N/m/y/?] (NEW) m

*  SHA512 digest algorithm (SSSE3/AVX/AVX2) (CRYPTO_SHA512_SSSE3) [N/m/y/?] (NEW) m

* Camellia cipher algorithm  (x86_64/AES-NI/AVX2) (CRYPTO_CAMELLIA_AESNI_AVX2_X86_64) [N/m/y/?] (NEW) m

*  Serpent cipher algorithm (x86_64/AVX2) (CRYPTO_SERPENT_AVX2_X86_64)
  [N/m/y/?] (NEW) m

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---